type __VLS_Props = {
    inputMessage: string;
    isLoading: boolean;
    isChatClosed?: boolean;
    sessionId?: string | null;
    onEnsureSession: () => Promise<string>;
    handleSendMessage: (attachmentIds: string[]) => void;
};
declare const __VLS_export: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:inputMessage": (value: string) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:inputMessage"?: ((value: string) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
